
;; Workaround 1 (does not work, why ?)

(defun window-state-put-workaround (fn &rest args)
  (let (window-configuration-change-hook)
    (apply fn args))
  (run-window-configuration-change-hook))

(advice-add 'window-state-put :around #'window-state-put-workaround)


;; Workaround 2 (does work)

(defun window-state-put-workaround (&rest _args)
  (run-with-idle-timer 0 nil #'run-window-configuration-change-hook))

(advice-add 'window-state-put :after #'window-state-put-workaround)

